package cn.iocoder.yudao.module.asset.convert.supplier;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.asset.controller.admin.supplier.vo.SupplierRespVO;
import cn.iocoder.yudao.module.asset.controller.admin.supplier.vo.SupplierSaveReqVO;
import cn.iocoder.yudao.module.asset.dal.dataobject.supplier.SupplierDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 供应商信息 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface SupplierConvert {

    SupplierConvert INSTANCE = Mappers.getMapper(SupplierConvert.class);

    SupplierDO convert(SupplierSaveReqVO bean);

    SupplierRespVO convert(SupplierDO bean);

    PageResult<SupplierRespVO> convertPage(PageResult<SupplierDO> page);

}
